package com.lantone.qc.kernel.catalogue.firstcourserecord;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.FirstCourseRecordDoc;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

/**
 * @ClassName : FIRC0707
 * @Description : 鉴别诊断书写不规范
 * 首次病程录里的鉴别诊断病情分析，最后一句要分析鉴别诊断的原因，要多加一个规则“可能不考虑该诊断”
 * @Author : kwz
 * @Date: 2020-04-20 17:28
 */
@Component
public class FIRC0707 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        status.set("0");
        FirstCourseRecordDoc firstCourseRecordDoc = inputInfo.getFirstCourseRecordDoc();
        if (firstCourseRecordDoc == null || firstCourseRecordDoc.getTreatPlanLabel() == null) {
            return;
        }
        String differentTxt = firstCourseRecordDoc.getDifferentialDiagLabel().getText();
        if(!differentTxt.endsWith("可能不考虑该诊断")){
            status.set("-1");
        }
    }
}